## ros-noetic-fetch-tools 0.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(fetch_tools)

find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(DIRECTORY resources
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES setup.bash
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS scripts/fetch
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

catkin_add_env_hooks(30.fetch_tools SHELLS bash DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)

=== debian/changelog ===
ros-noetic-fetch-tools (0.3.3-1buster) buster; urgency=high

  * Fix argcomplete hook command for python3
  * Contributors: Eric Relson

 -- Eric Relson <erelson@fetchrobotics.com>  Tue, 20 Oct 2020 07:00:00 -0000

ros-noetic-fetch-tools (0.3.2-1buster) buster; urgency=high

  * Fix build dep that was missed for python2->3
  * Contributors: Eric Relson

 -- Eric Relson <erelson@fetchrobotics.com>  Wed, 23 Sep 2020 07:00:00 -0000

ros-noetic-fetch-tools (0.3.1-1buster) buster; urgency=high

  * Update dependencies from py2 to py3
  * Contributors: Eric Relson

 -- Eric Relson <erelson@fetchrobotics.com>  Sun, 20 Sep 2020 07:00:00 -0000

ros-noetic-fetch-tools (0.3.0-1buster) buster; urgency=high

  * Convert to python3 + ROS noetic
  * Text improvements to debug_snapshot tool
  * Several 18.04 fixes to debug_snapshot tool
  * Contributors: Alex Moriarty, Eric Relson, Nick Walker, Russell Toris

 -- Eric Relson <erelson@fetchrobotics.com>  Sun, 20 Sep 2020 07:00:00 -0000

ros-noetic-fetch-tools (0.2.1-1buster) buster; urgency=high

  * Fixups for indigo->melodic; package format (#13 <https://github.com/fetchrobotics/fetch_tools/issues/13>)
    - Updates to debug_snapshot
    - Warning about common failure case when using debug_snapshot
  * Contributors: Eric Relson

 -- Eric Relson <erelson@fetchrobotics.com>  Tue, 26 Mar 2019 07:00:00 -0000

ros-noetic-fetch-tools (0.2.0-1buster) buster; urgency=high

  * updates ownership
  * Update create_account.py
  * Expand hardware info retrieval and add read_board
  * Contributors: Alex Henning, Michael Ferguson, Michael Hwang, Russell Toris

 -- Eric Relson <erelson@fetchrobotics.com>  Wed, 11 Jul 2018 07:00:00 -0000

ros-noetic-fetch-tools (0.1.4-1buster) buster; urgency=high

  * Added FETCH_USER to sf/sfr & additional usage notes
  * Updated readme to detail robothostname.local usage with fetch_tools and how to set ports with ul
  * Contributors: Alex Henning, Eric Relson

 -- Eric Relson <erelson@fetchrobotics.com>  Tue, 12 Apr 2016 07:00:00 -0000

ros-noetic-fetch-tools (0.1.3-1buster) buster; urgency=high

  * Added upstart conf files to debug-snapshot zip
  * Contributors: Aaron Blasdel

 -- Eric Relson <erelson@fetchrobotics.com>  Thu, 24 Mar 2016 07:00:00 -0000

ros-noetic-fetch-tools (0.1.2-1buster) buster; urgency=high

  * Added three commands:
    - fetch debug-snapshot
    - fetch pull
    - fetch workspace-status
  * Changed one command:
    - fetch sync is now fetch push
  * Improved one command:
    - fetch run now supports multiple workspaces
  * Contributors: Alex Henning, Michael Ferguson, Aaron Blasdel

 -- Eric Relson <erelson@fetchrobotics.com>  Mon, 29 Feb 2016 08:00:00 -0000

ros-noetic-fetch-tools (0.1.1-1buster) buster; urgency=high

  * Initial implementation of fetch_tools
    Includes four commands:
    - fetch create-account
    - fetch sync
    - fetch run
    - fetch lint
    Includes five aliases:
    - uf
    - ufr
    - ul
    - sf
    - sfr
  * Initial commit
  * Contributors: Alex Henning, Michael Ferguson

 -- Eric Relson <erelson@fetchrobotics.com>  Fri, 31 Jul 2015 07:00:00 -0000

=== debian/control ===
Source: ros-noetic-fetch-tools
Section: misc
Priority: optional
Maintainer: Eric Relson <erelson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), python3-rospkg, ros-noetic-catkin
Homepage: https://github.com/fetchrobotics/fetch_tools/blob/master/README.md
Standards-Version: 3.9.2

Package: ros-noetic-fetch-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-argcomplete, python3-catkin-lint, ros-noetic-roslint, sshpass
Description: Commands for performing common operations when developing on the robots.
 For help, run `fetch -h` and `fetch COMMAND -h`.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-fetch-tools//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
